Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2057820 (CVE-2022-0685) - CVE-2022-0685 : vim: Use of Out-of-range Pointer Offset in vim
Summary: CVE-2022-0685 : vim: Use of Out-of-range Pointer Offset in vim
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2022-0685
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2057821
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-24 06:29 UTC by Avinash Hanwate
Modified: 2022-03-03 13:49 UTC (History)
6 users (show)

Fixed In Version: vim 8.2.4460
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in vim. The vulnerability occurs due to a crash when using a special multi-byte character and leads to an out-of-range vulnerability. This flaw allows an attacker to input a specially crafted file, leading to a crash or code execution.
Clone Of:
Environment:
Last Closed: 2022-03-03 13:49:39 UTC
Embargoed:


Attachments (Terms of Use)

Description Avinash Hanwate 2022-02-24 06:29:40 UTC
Use of Out-of-range Pointer Offset in GitHub repository vim/vim prior to 8.2.4418.

https://huntr.dev/bounties/27230da3-9b1a-4d5d-8cdf-4b1e62fcd782
https://github.com/vim/vim/commit/5921aeb5741fc6e84c870d68c7c35b93ad0c9f87

Comment 1 Avinash Hanwate 2022-02-24 06:30:19 UTC
Created vim tracking bugs for this issue:

Affects: fedora-all [bug 2057821]

Comment 4 Product Security DevOps Team 2022-03-03 13:49:36 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-0685


Note You need to log in before you can comment on or make changes to this bug.